#include "static_geometry.h"

// ----------------------------------------------------------------------------------------------------------------------------

class CSkybox
{
private:
	GLuint VBO, VAO;
	CTexture Texture;
	CShaderProgram SkyBox;

public:
	bool Init();
	void Render(mat4x4 &ViewProjectionMatrix, vec3 &CameraPosition);
	void Destroy();
};
